org.apache.ignite.stream.kafka.connect

## Class IgniteSinkConstants

- java.lang.Object
- - org.apache.ignite.stream.kafka.connect.IgniteSinkConstants

-     public class IgniteSinkConstants
      extends Object

  Sink configuration strings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHE_ALLOW_OVERWRITE` Flag to enable overwriting existing values in cache.
    `static String` | `CACHE_CFG_PATH` Ignite configuration file path.
    `static String` | `CACHE_NAME` Cache name.
    `static String` | `CACHE_PER_NODE_DATA_SIZE` Size of per-node buffer before data is sent to remote node.
    `static String` | `CACHE_PER_NODE_PAR_OPS` Maximum number of parallel stream operations per node.
    `static String` | `SINGLE_TUPLE_EXTRACTOR_CLASS` Class to transform the entry before feeding into cache.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteSinkConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHE_CFG_PATH

          public static final String CACHE_CFG_PATH

      Ignite configuration file path.
      See Also:
        Constant Field Values

    - #### CACHE_NAME

          public static final String CACHE_NAME

      Cache name.
      See Also:
        Constant Field Values

    - #### CACHE_ALLOW_OVERWRITE

          public static final String CACHE_ALLOW_OVERWRITE

      Flag to enable overwriting existing values in cache.
      See Also:
        Constant Field Values

    - #### CACHE_PER_NODE_DATA_SIZE

          public static final String CACHE_PER_NODE_DATA_SIZE

      Size of per-node buffer before data is sent to remote node.
      See Also:
        Constant Field Values

    - #### CACHE_PER_NODE_PAR_OPS

          public static final String CACHE_PER_NODE_PAR_OPS

      Maximum number of parallel stream operations per node.
      See Also:
        Constant Field Values

    - #### SINGLE_TUPLE_EXTRACTOR_CLASS

          public static final String SINGLE_TUPLE_EXTRACTOR_CLASS

      Class to transform the entry before feeding into cache.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IgniteSinkConstants

          public IgniteSinkConstants()

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020